Dieses Plugin ist nicht mit den jüngsten 3 Hauptversionen von WordPress getestet worden. Es wird möglicherweise nicht mehr gewartet oder unterstützt und kann Kompatibilitätsprobleme haben, wenn es mit neueren Versionen von WordPress verwendet wird.

Precise Plugin Updater

Beschreibung

Have you ever had a plugin update break your site? I have. And it wasn’t even a major update. I won’t be turning automatic updates for this plugin on in the future. On the other hand, some plugins may be safe to update regardless of version number.

WordPress plugin developer guidelines recommend using Semantic Versioning. And while not everybody follows it, for many plugins a version number still tells something about possible impact.

With Precise Plugin Updater you choose what type of update is allowed for any single plugin:

  • All – allows any updates
  • Minor – preserves the first part of a version number
  • Patch – preserves the first two parts
  • None – turns automatic updates off

This is done on the plugins page itself with a simple interface, that doesn’t require page reload.

You may also set a default policy in the settings, and then override it individually.

Screenshots

  • Simple interface inregrated into plugins page
  • Easily set the default automatic updates policy.

Installation

  1. Download the plugin and unpack it into /wp-content/plugins/ of your wordpress installation.
  2. Activate the plugin through the ‚Plugins‘ menu in WordPress

FAQ

Installation Instructions
  1. Download the plugin and unpack it into /wp-content/plugins/ of your wordpress installation.
  2. Activate the plugin through the ‚Plugins‘ menu in WordPress

Mitwirkende & Entwickler

„Precise Plugin Updater“ ist Open-Source-Software. Folgende Menschen haben an diesem Plugin mitgewirkt:

Mitwirkende

Änderungsprotokoll

1.0.2

  • Mostly cosmetic code changes to adhere to WordPress Coding Standards

1.0.1

  • Some minor css for mobile

1.0.0

  • Initial release